package com.ruoyi.project.training.bccnew.service;

import java.util.List;
import com.ruoyi.project.training.bccnew.domain.TTsFlplan;

/**
 * 分离培训Service接口
 * 
 * @author ssy
 * @date 2024-06-13
 */
public interface ITTsFlplanService 
{
    /**
     * 查询分离培训
     * 
     * @param id 分离培训ID
     * @return 分离培训
     */
    public TTsFlplan selectTTsFlplanById(Long id);

    /**
     * 查询分离培训列表
     * 
     * @param tTsFlplan 分离培训
     * @return 分离培训集合
     */
    public List<TTsFlplan> selectTTsFlplanList(TTsFlplan tTsFlplan);
    public List<TTsFlplan> selectTTsFlplanListByNewId(TTsFlplan tTsFlplan);

    /**
     * 新增分离培训
     * 
     * @param tTsFlplan 分离培训
     * @return 结果
     */
    public int insertTTsFlplan(TTsFlplan tTsFlplan);

    /**
     * 修改分离培训
     * 
     * @param tTsFlplan 分离培训
     * @return 结果
     */
    public int updateTTsFlplan(TTsFlplan tTsFlplan);

    /**
     * 批量删除分离培训
     * 
     * @param ids 需要删除的分离培训ID
     * @return 结果
     */
    public int deleteTTsFlplanByIds(Long[] ids);

    /**
     * 删除分离培训信息
     * 
     * @param id 分离培训ID
     * @return 结果
     */
    public int deleteTTsFlplanById(Long id);
}
